module Debug.Trace.Helpers where

import Debug.Trace
import Control.Monad.Trans

traceTrue x = trace (show x ++ "\n\n") True
traceIt x = trace (show x ++ "\n\n") x
traceMsg msg x = trace ( "\n\n" ++ msg ++ (show x) ++ "\n\n") x
traceReadableMsg msg x = trace ( "\n\n" ++ msg ++ (show . show $ x) ++ "\n\n") x
dbgFile f x = liftIO $ writeFile f x
traceWith f v = trace (f v) v
